BEAGLE-DUMP-INDEX(1)

NAME
beagle-dump-index

SYNOPSIS
beagle-dump-index [options] [[file or URI to match] ...]

DESCRIPTION

beagle-dump-index is a low-level tool for examining data indexed by the Beagle search system.

OPTIONS

--uris
    Dump all Uris (default)

--properties
    Dump all properties

--term-frequencies
    Dump term frequencies

--fields
    Dump all fields

--show-counts
    Show index count totals (default)

--hide-counts
    Hide index count totals

--index=<index name>
    Limit results to an index by name. May be used multiple times.

--indexdir=<directory>
    Limit results to an index specified by absolute path. May be used multiple times. Example path /home/user/.beagle/Indexes/FileSystemIndex

file or URI to match
    Get information in index about one or more files or URIs. Note this doesn't make sense with and will cause an error.

AUTHOR
Novell, Inc.

REPORTING BUGS
Report bugs to http://bugzilla.gnome.org

COPYRIGHT
Copyright © 2004-2007 Novell, Inc.

This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
beagled(1), http://beagle-project.org